config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/gnashpluginrc.new
config etc/gnashthumbnailrc.new
config etc/gnashrc.new

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/lib64/gnash ; rm -rf libgnashbase.so )
( cd usr/lib64/gnash ; ln -sf libgnashbase-0.8.10.so libgnashbase.so )
( cd usr/lib64/gnash ; rm -rf libgnashrender.so )
( cd usr/lib64/gnash ; ln -sf libgnashrender-0.8.10.so libgnashrender.so )
( cd usr/lib64/gnash ; rm -rf libgnashcore.so )
( cd usr/lib64/gnash ; ln -sf libgnashcore-0.8.10.so libgnashcore.so )
( cd usr/lib64/gnash ; rm -rf libgnashdevice.so )
( cd usr/lib64/gnash ; ln -sf libgnashdevice-0.8.10.so libgnashdevice.so )
( cd usr/lib64/gnash ; rm -rf libgnashmedia.so )
( cd usr/lib64/gnash ; ln -sf libgnashmedia-0.8.10.so libgnashmedia.so )
( cd usr/lib64/gnash ; rm -rf libgnashsound.so )
( cd usr/lib64/gnash ; ln -sf libgnashsound-0.8.10.so libgnashsound.so )
